epiphany-extensions ftbfs and won't install on hardy

Bug #178117 reported by aleneguou on 2007-12-22
44
This bug affects 1 person
Affects Status Importance Assigned to Milestone
epiphany-extensions (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: epiphany-extensions

# apt-get install epiphany-extensions
result:
The following packages have unmet dependencies:
  epiphany-extensions: Depends: epiphany-gecko (< 2.21) but it is not going to be installed
                       Depends: epiphany-gecko (>= 2.20) but it is not going to be installed
E: Broken packages

ProblemType: Bug
Architecture: i386
Date: Sat Dec 22 11:51:17 2007
DistroRelease: Ubuntu 8.04
Uname: Linux wobbly 2.6.24-2-generic #1 SMP Thu Dec 20 17:36:12 GMT 2007 i686 GNU/Linux

Emilio Pozuelo Monfort (pochu) wrote :

Epiphany 2.21.4 broke the API and some extensions haven't been ported to it yet.

We are waiting for upstream to release a new tarball once all the extensions have been ported to the new API.

Changed in epiphany-extensions:
importance: Undecided → Medium
status: New → Triaged
Matthias Klose (doko) wrote :

ftbfs as well for that reason.

Changed in epiphany-extensions:
importance: Medium → High
Emilio Pozuelo Monfort (pochu) wrote :

I think there are only 2 extensions remaining, so a new 2.21 tarball should be released soonish.

Changed in epiphany-extensions:
milestone: none → ubuntu-8.04-beta
Martijn vdS (martijn) wrote :

Is there any progress on this? I'm starting to miss adblock ;)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package epiphany-extensions - 2.20.1svn20080211-0ubuntu1

---------------
epiphany-extensions (2.20.1svn20080211-0ubuntu1) hardy; urgency=low

  * New SVN snapshot:
    - work with the hardy epiphany-browser version (lp: #178117)
  * debian/control.in:
    - build using xulrunner
    - updated epiphany-browser requirement
  * debian/patches/ephy-extensions.xul.1.9.patch:
    - patch from Alexander Sack to build using xulrunner1.9
  * debian/patches/delicious.diff:
    - dropped, the change is in the svn version
  * debian/rules:
    - build using libxul
    - updated installation directory

 -- Sebastien Bacher <email address hidden> Mon, 11 Feb 2008 12:07:10 +0100

Changed in epiphany-extensions:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers